Get email addresses for user IDs
curl --request POST \
--url https://auth.platform.arb.inc/internal/user-emails \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"users": [
"8f3a4b2c-1d5e-4f6a-9b7c-3e2d1a0b9c8d",
"5c2d1e4f-6a7b-8c9d-0e1f-2a3b4c5d6e7f"
]
}
'import requests
url = "https://auth.platform.arb.inc/internal/user-emails"
payload = { "users": ["8f3a4b2c-1d5e-4f6a-9b7c-3e2d1a0b9c8d", "5c2d1e4f-6a7b-8c9d-0e1f-2a3b4c5d6e7f"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
users: ['8f3a4b2c-1d5e-4f6a-9b7c-3e2d1a0b9c8d', '5c2d1e4f-6a7b-8c9d-0e1f-2a3b4c5d6e7f']
})
};
fetch('https://auth.platform.arb.inc/internal/user-emails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"users": {
"8f3a4b2c-1d5e-4f6a-9b7c-3e2d1a0b9c8d": "user@example.com",
"5c2d1e4f-6a7b-8c9d-0e1f-2a3b4c5d6e7f": null
}
}internal
Get email addresses for user IDs
Retrieves email addresses for multiple user IDs in a single request. Returns null for users that do not exist. Requires auth.email.viewer permission.
POST
/
internal
/
user-emails
Get email addresses for user IDs
Authorizations
access token
Body
application/json
Array of user IDs to retrieve emails for
Example:
[
"8f3a4b2c-1d5e-4f6a-9b7c-3e2d1a0b9c8d",
"5c2d1e4f-6a7b-8c9d-0e1f-2a3b4c5d6e7f"
]
Response
200 - application/json
Successfully retrieved email addresses
Map of user IDs to email addresses (null if user does not exist)
Show child attributes
Show child attributes
Example:
{
"8f3a4b2c-1d5e-4f6a-9b7c-3e2d1a0b9c8d": "user@example.com",
"5c2d1e4f-6a7b-8c9d-0e1f-2a3b4c5d6e7f": null
}
⌘I